## r-cran-rcppparallel 4.4.4+dfsg

=== DESCRIPTION ===
Package: RcppParallel
Type: Package
Title: Parallel Programming Tools for 'Rcpp'
Version: 4.4.4
Authors@R: c(
    person("JJ", "Allaire", role = c("aut"), email = "jj@rstudio.com"),
    person("Romain", "Francois", role = c("aut", "cph")),
    person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com"),
    person("Gregory", "Vandenbrouck", role = "aut"),
    person("Marcus", "Geelnard", role = c("aut", "cph"),
       comment = "TinyThread library, http://tinythreadpp.bitsnbites.eu/"),
    person(family = "RStudio", role = "cph"),
    person(family = "Intel", role = c("aut", "cph"),
       comment = "Intel TBB library, https://www.threadingbuildingblocks.org/"),
    person(family = "Microsoft", role = "cph")
    )
Description: High level functions for parallel programming with 'Rcpp'.
    For example, the 'parallelFor()' function can be used to convert the work of
    a standard serial "for" loop into a parallel one and the 'parallelReduce()'
    function can be used for accumulating aggregate or other values.
Depends: R (>= 3.0.2)
Suggests: Rcpp, RUnit, knitr, rmarkdown
SystemRequirements: GNU make, Windows: cmd.exe and cscript.exe,
        Solaris: g++ is required
License: GPL-2
URL: http://rcppcore.github.io/RcppParallel,
        https://github.com/RcppCore/RcppParallel
Biarch: TRUE
Collate: 'build.R' 'hooks.R' 'options.R' 'skeleton.R'
NeedsCompilation: yes
Packaged: 2019-09-25 16:06:48 UTC; kevinushey
Author: JJ Allaire [aut],
  Romain Francois [aut, cph],
  Kevin Ushey [aut, cre],
  Gregory Vandenbrouck [aut],
  Marcus Geelnard [aut, cph] (TinyThread library,
    http://tinythreadpp.bitsnbites.eu/),
  RStudio [cph],
  Intel [aut, cph] (Intel TBB library,
    https://www.threadingbuildingblocks.org/),
  Microsoft [cph]
Maintainer: Kevin Ushey <kevin@rstudio.com>
Repository: CRAN
Date/Publication: 2019-09-27 08:50:10 UTC

=== debian/changelog ===
r-cran-rcppparallel (4.4.4+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:52 +0100

r-cran-rcppparallel (4.4.4+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Depends: libtbb-dev

  [ Dylan Aïssi ]
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Oct 2019 11:10:07 +0100

r-cran-rcppparallel (4.4.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #939854)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 16:33:49 +0200

=== debian/control ===
Source: r-cran-rcppparallel
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               libtbb-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel.git
Homepage: https://cran.r-project.org/package=RcppParallel

Package: r-cran-rcppparallel
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libtbb-dev
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: parallel programming tools for Rcpp
 High level functions for parallel programming with 'Rcpp' (GNU R).
 For example, the 'parallelFor()' function can be used to convert the work of
 a standard serial "for" loop into a parallel one and the 'parallelReduce()'
 function can be used for accumulating aggregate or other values.

## r-cran-rcppparallel 5.0.2%2Bdfsg

=== debian/changelog ===
r-cran-rcppparallel (5.0.2+dfsg-4) unstable; urgency=high

  * dpkg-architecture query method for finding libtbb.so

 -- Shayan Doust <hello@shayandoust.me>  Sat, 20 Feb 2021 15:37:36 +0000

r-cran-rcppparallel (5.0.2+dfsg-3) unstable; urgency=medium

  * Fix patch to make sure '-L' option will not be left out

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 15:39:50 +0200

r-cran-rcppparallel (5.0.2+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Shayan Doust ]
  * Absolute path of libtbb.so must be stated within R/build.R

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Shayan Doust <hello@shayandoust.me>  Wed, 23 Sep 2020 13:17:25 +0100

r-cran-rcppparallel (5.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Jul 2020 08:17:07 +0200

r-cran-rcppparallel (5.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 May 2020 11:20:30 +0200

r-cran-rcppparallel (5.0.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add libtbb-dev to deps, it is not only a test-deps.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Mar 2020 14:13:08 +0100

r-cran-rcppparallel (5.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 12 Mar 2020 08:59:21 +0000

## r-cran-rcppparallel 5.0.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libtbb-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel.git
 Homepage: https://cran.r-project.org/package=RcppParallel
+Rules-Requires-Root: no
 
 Package: r-cran-rcppparallel
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
+# <dh-update-R>do not delete this</dh-update-R>
          libtbb-dev
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-rcppparallel 5.1.5+dfsg

=== DESCRIPTION ===
Package: RcppParallel
Type: Package
Title: Parallel Programming Tools for 'Rcpp'
Version: 5.1.5
Authors@R: c(
    person("JJ", "Allaire", role = c("aut"), email = "jj@rstudio.com"),
    person("Romain", "Francois", role = c("aut", "cph")),
    person("Kevin", "Ushey", role = c("aut", "cre"), email = "kevin@rstudio.com"),
    person("Gregory", "Vandenbrouck", role = "aut"),
    person("Marcus", "Geelnard", role = c("aut", "cph"),
       comment = "TinyThread library, https://tinythreadpp.bitsnbites.eu/"),
    person("Hamada S.", "Badr",
       email = "badr@jhu.edu",
       role = c("ctb"),
       comment = c(ORCID = "0000-0002-9808-2344")),
    person(family = "RStudio", role = "cph"),
    person(family = "Intel", role = c("aut", "cph"),
       comment = "Intel TBB library, https://www.threadingbuildingblocks.org/"),
    person(family = "Microsoft", role = "cph")
    )
Description: High level functions for parallel programming with 'Rcpp'.
    For example, the 'parallelFor()' function can be used to convert the work of
    a standard serial "for" loop into a parallel one and the 'parallelReduce()'
    function can be used for accumulating aggregate or other values.
Depends: R (>= 3.0.2)
Suggests: Rcpp, RUnit, knitr, rmarkdown
SystemRequirements: GNU make, Intel TBB, Windows: cmd.exe and
        cscript.exe, Solaris: g++ is required
License: GPL (>= 3)
URL: https://rcppcore.github.io/RcppParallel/,
        https://github.com/RcppCore/RcppParallel
BugReports: https://github.com/RcppCore/RcppParallel/issues
Biarch: TRUE
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-01-04 19:55:32 UTC; kevin
Author: JJ Allaire [aut],
  Romain Francois [aut, cph],
  Kevin Ushey [aut, cre],
  Gregory Vandenbrouck [aut],
  Marcus Geelnard [aut, cph] (TinyThread library,
    https://tinythreadpp.bitsnbites.eu/),
  Hamada S. Badr [ctb] (<https://orcid.org/0000-0002-9808-2344>),
  RStudio [cph],
  Intel [aut, cph] (Intel TBB library,
    https://www.threadingbuildingblocks.org/),
  Microsoft [cph]
Maintainer: Kevin Ushey <kevin@rstudio.com>
Repository: CRAN
Date/Publication: 2022-01-05 10:50:07 UTC

=== debian/changelog ===
r-cran-rcppparallel (5.1.5+dfsg-1ubuntu1) jammy; urgency=medium

  * (Build-)depend on libtbb2-dev instead of libtbb-dev.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Mar 2022 08:27:32 +0100

r-cran-rcppparallel (5.1.5+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/control: Add myself to uploaders
  * New upstream version 5.1.5+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 10 Jan 2022 15:21:19 +0530

r-cran-rcppparallel (5.1.4+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

  [ Nilesh Patra ]
  * Adjust patches to use packaged tbblib, and load the correct so lib
  * Add d/clean to remove src/install.libs.R pre-build for debhelper
    takes care of lib linking and installation

 -- Nilesh Patra <nilesh@debian.org>  Sun, 26 Sep 2021 02:30:57 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: r-cran-rcppparallel
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>,
+           Shayan Doust <hello@shayandoust.me>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               libtbb-dev
-Standards-Version: 4.5.0
+               libtbb2-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel.git
 Homepage: https://cran.r-project.org/package=RcppParallel
@@ -21,7 +23,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
 # <dh-update-R>do not delete this</dh-update-R>
-         libtbb-dev
+         libtbb2-dev
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: parallel programming tools for Rcpp

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-rcpp, r-base-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/RcppParallel_([-\d.]*)\.tar\.gz

## r-cran-rcppparallel 5.1.6%2Bdfsg

=== debian/control ===
Source: r-cran-rcppparallel
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
           Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel.git
Homepage: https://cran.r-project.org/package=RcppParallel
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libtbb-dev (>= 2021.5.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-rcppparallel
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libtbb-dev (>= 2021.5.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: parallel programming tools for Rcpp
 High level functions for parallel programming with 'Rcpp' (GNU R).
 For example, the 'parallelFor()' function can be used to convert the work of
 a standard serial "for" loop into a parallel one and the 'parallelReduce()'
 function can be used for accumulating aggregate or other values.

## r-cran-rcppparallel 5.1.6+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: RcppParallel
 Type: Package
 Title: Parallel Programming Tools for 'Rcpp'
-Version: 5.1.5
+Version: 5.1.6
 Authors@R: c(
     person("JJ", "Allaire", role = c("aut"), email = "jj@rstudio.com"),
     person("Romain", "Francois", role = c("aut", "cph")),
@@ -13,7 +13,7 @@
        email = "badr@jhu.edu",
        role = c("ctb"),
        comment = c(ORCID = "0000-0002-9808-2344")),
-    person(family = "RStudio", role = "cph"),
+    person(family = "Posit, PBC", role = "cph"),
     person(family = "Intel", role = c("aut", "cph"),
        comment = "Intel TBB library, https://www.threadingbuildingblocks.org/"),
     person(family = "Microsoft", role = "cph")
@@ -34,7 +34,7 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-01-04 19:55:32 UTC; kevin
+Packaged: 2023-01-09 06:46:51 UTC; kevin
 Author: JJ Allaire [aut],
   Romain Francois [aut, cph],
   Kevin Ushey [aut, cre],
@@ -42,10 +42,10 @@
   Marcus Geelnard [aut, cph] (TinyThread library,
     https://tinythreadpp.bitsnbites.eu/),
   Hamada S. Badr [ctb] (<https://orcid.org/0000-0002-9808-2344>),
-  RStudio [cph],
+  Posit, PBC [cph],
   Intel [aut, cph] (Intel TBB library,
     https://www.threadingbuildingblocks.org/),
   Microsoft [cph]
 Maintainer: Kevin Ushey <kevin@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-01-05 10:50:07 UTC
+Date/Publication: 2023-01-09 18:00:08 UTC

=== debian/changelog ===
r-cran-rcppparallel (5.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:24:42 +0100

r-cran-rcppparallel (5.1.5+dfsg-3) unstable; urgency=medium

  * Re-build with latest onetbb again
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 20:13:35 +0530

r-cran-rcppparallel (5.1.5+dfsg-2) unstable; urgency=medium

  * Rebuild with libtbb-dev (>= 2021.5.0-10~) -- new onetbb source package

 -- Nilesh Patra <nilesh@debian.org>  Wed, 15 Jun 2022 10:45:07 +0530

## r-cran-rcppparallel 5.1.7%2Bdfsg

=== debian/changelog ===
r-cran-rcppparallel (5.1.7+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix libtbb-dev version parsing, thanks Yue Gui, closes: #1101729.

 -- Charles Plessy <plessy@debian.org>  Tue, 08 Apr 2025 10:55:26 +0900

r-cran-rcppparallel (5.1.7+dfsg-5) unstable; urgency=medium

  * Re-add r-base-dev to Test-Depends (seems dh-update-R removed it again)
    Closes: #1072306

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jun 2024 13:01:46 +0200

r-cran-rcppparallel (5.1.7+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Add r-base-dev at end of d/t/control to make sure dh-update-R will
    sensibly deal with it

  [ Joost van Baal-Ilić ]
  * Standards-Version: 4.7.0 (routine-update)
  * d/control: remove myself from Uploaders.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 23 Apr 2024 13:42:07 +0000

r-cran-rcppparallel (5.1.7+dfsg-3) unstable; urgency=medium

  * Re-add r-base-dev to Test-Depends
  * Fix clean target
    Closes: #1048021

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 19:33:49 +0100

r-cran-rcppparallel (5.1.7+dfsg-2) unstable; urgency=medium

  * Pin versioned Depends from libtbb to make sure symlinks will point to
    the installed lib*.so files
    Closes: #1058751
  * Remove Nilesh from Uploaders at his own request.  Thanks for all your
    work on this package, Nilesh.

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 11:26:14 +0100

r-cran-rcppparallel (5.1.7+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version

  [ Nilesh Patra ]
  * Update set_TBB_LIB.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Jun 2023 22:40:36 +0530

=== debian/rules ===
#!/usr/bin/make -f

export TBB_ROOT=/usr

%:
	dh $@ --buildsystem R

override_dh_gencontrol:
	echo "DEBUG"
	cat debian/*substvars
	# As per bug #1058751 we need to pin the libtbb version that was used at Build time of r-cran-rcppparallel
	# Alternatively we need to replace the symlinks with copied of the library
	#
	tbbversion=`dpkg-query -W -f='$${source:Upstream-Version}' libtbb-dev`; \
	sed -i -e "s/libtbb12 ([^)]\+)/libtbb12 (>= $${tbbversion}), libtbb12 (<< $${tbbversion}-99)/" -e "s/libtbb-dev ([^)]\+)/libtbb-dev (>= $${tbbversion}), libtbb-dev (>= $${tbbversion}-99)/" debian/*substvars
	dh_gencontrol
	echo "DEBUG 2"
	cat debian/*substvars
	# However, the means above might be strict - see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1055922#68

## r-cran-rcppparallel 5.1.7+dfsg

=== debian/changelog ===
r-cran-rcppparallel (5.1.7+dfsg-3ubuntu1) noble; urgency=medium

  * Drop broken dh_gencontrol handling

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 24 Apr 2024 16:25:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: r-cran-rcppparallel
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Joost van Baal-Ilić <joostvb@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>,
            Shayan Doust <hello@shayandoust.me>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppparallel.git

=== debian/rules ===
#!/usr/bin/make -f

export TBB_ROOT=/usr

%:
	dh $@ --buildsystem R

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-base-dev,
         r-cran-rcpp,
        r-cran-runit,
        r-cran-knitr,
        r-cran-rmarkdown
Restrictions: allow-stderr
